AuthenticationGenerate OTP
Authentication

Generate OTP

Generates a one-time password for authentication.

curl -X POST "https://api.neostra.io/api/v1/auth/otp/generate" \
  -H "Content-Type: application/json" \
  -d '{
  "email": "user@example.com"
}'
{
  "status": 200,
  "message": "Success",
  "data": {},
  "errors": [
    "example_string"
  ]
}
POST
/api/v1/auth/otp/generate
POST
Content-Typestring
Required

The media type of the request body

Options: application/json
emailstring
Required

Email address to send the OTP to

Format: email
Request Preview
Response

Response will appear here after sending the request

Body

application/json
emailstring
Required

Email address to send the OTP to

Responses

statusinteger

HTTP status code

messagestring

Response message

dataobject

Response payload

errorsstring[]

List of error details, if any